MeduxMedux

Infra > List Results

List Results

List retained result records for the current user.

GET/api/app/v1/results

Examples

curl -X GET https://medux-server-api-dev.lingverse.co/api/app/v1/results?cursor=CURSOR&limit=LIMIT&media_type=MEDIA_TYPE&capability_id=CAPABILITY_ID&status=READY \
  -H 'Authorization: Bearer $MEDUX_API_KEY'

Auth Requirements

Authentication is required via Authorization header.

Preconditions

Try it lists retained results for the current account.

Results retention is limited; expired outputs are not returned.

Request

Body

application/json
Authorizationstringrequired

Bearer token or API key.

Location: HEADER

cursorstringoptional

No description provided.

Location: QUERY

limitint32optional

No description provided.

Location: QUERY

media_typestringoptional

No description provided.

Location: QUERY

capability_idstringoptional

No description provided.

Location: QUERY

statusstringoptional

. accounthpb.ResultStatus:
... enums:
..... RESULT_STATUS_UNDEFINED
..... READY
..... RESULT_PROCESSING
..... RESULT_FAILED
..... RESULT_EXPIRED

Available options: RESULT_STATUS_UNDEFINED READY RESULT_PROCESSING RESULT_FAILED RESULT_EXPIRED

Location: QUERY

Response

Response

application/json
codeint32optional

response code enums:
.. 0: ok
.. 12: invalid input
.. 13: unauthenticated
.. 99: server error

Available options: 0 12 13 99

Location: RESPONSE

data.itemsarray<object>optional

No description provided.

Location: RESPONSE

data.next_cursorstringoptional

No description provided.

Location: RESPONSE

data.retention_noticestringoptional

No description provided.

Location: RESPONSE

messagestringoptional

No description provided.

Available options: ok invalid input unauthenticated server error

Location: RESPONSE